Summary: KDE display configuration library
Name:    libkscreen-qt5
Version: 5.27.9
Release: 2%{?dist}
License: GPLv2+
URL:     https://invent.kde.org/plasma/libkscreen
Source0: http://download.kde.org/stable/plasma/%{version}/libkscreen-%{version}.tar.xz
BuildRequires:  extra-cmake-modules, kf5-rpm-macros, systemd-rpm-macros
BuildRequires:  kf5-kconfig-devel, kf5-kwayland-devel >= 5.22, plasma-wayland-protocols-devel
BuildRequires:  libX11-devel, libxcb-devel, libXrandr-devel, wayland-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtbase-private-devel, qt5-qtwayland-devel, qt5-qtx11extras-devel, qt5-linguist
Requires:       kf5-filesystem
Provides:       kf5-kscreen = %{version}-%{release}

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$



%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       kf5-kscreen-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -p1 -n libkscreen-%{version}



%build
%cmake_kf5

%cmake_build



%install
%cmake_install

%find_lang_kf5 libkscreen5_qt



%files -f libkscreen5_qt.lang
%license LICENSES/*
%{_kf5_bindir}/kscreen-doctor
%{_kf5_libexecdir}/kscreen_backend_launcher
%{_kf5_libdir}/libKF5Screen.so.5.*
%{_kf5_libdir}/libKF5Screen.so.8*
%{_kf5_libdir}/libKF5ScreenDpms.so.5.*
%{_kf5_libdir}/libKF5ScreenDpms.so.8*
%{_kf5_plugindir}/kscreen/
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_kf5_datadir}/qlogging-categories5/libkscreen.categories
%{_kf5_datadir}/zsh/site-functions/_kscreen-doctor
%{_userunitdir}/plasma-kscreen.service

%files devel
%{_kf5_libdir}/libKF5Screen.so
%{_kf5_libdir}/libKF5ScreenDpms.so
%{_kf5_libdir}/cmake/KF5Screen/
%{_libdir}/pkgconfig/kscreen2.pc
%{_kf5_includedir}/KScreen/
%{_kf5_includedir}/kscreen_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_KScreen.pri



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.9-2
- Rebuilt for loongarch release

* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.27.9-1
- upgraded to upstream 5.27.9 for adapting kscreenlocker

* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.27.8-1
- initial